import React, { useEffect, useRef, useState } from 'react';
import { render, fireEvent } from '@testing-library/react-native';
import { TextNative } from '.';
import 'jest-styled-components';

it('renderizar default', () => {
   const { toJSON } = render(<TextNative>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with size', () => {
   const { toJSON } = render(<TextNative size={44}>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with bold', () => {
   const { toJSON } = render(<TextNative bold>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with extraBold', () => {
   const { toJSON } = render(<TextNative extraBold>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with color', () => {
   const { toJSON } = render(<TextNative color="#e50553">Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with alignSelfCenter', () => {
   const { toJSON } = render(<TextNative alignSelfCenter>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with alignCenter', () => {
   const { toJSON } = render(<TextNative alignCenter>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});

it('snapshot - with alignRight', () => {
   const { toJSON } = render(<TextNative alignRight>Default text</TextNative>);
   expect(toJSON()).toMatchSnapshot();
});
